Developers
API ReferenceBoard Type

Retrieves the collection of BoardType resources

GET
/project/board-types

Retrieves the collection of BoardType resources

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
order[name]?string
Default"asc"
Value in"asc""desc"
name?string

Response Body

BoardType collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/board-types'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  }]